%define real_name	POE-Component-Client-Ident
%define name		perl-%{real_name}
%define version		0.7
%define release		%mkrel 1

Summary:	A component that provides non-blocking ident lookups to your sessions
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
BuildRequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-root
URL:		http://search.cpan.org/dist/%{real_name}
Source:		%{real_name}-%{version}.tar.bz2
BuildArch:	noarch

%description
POE::Component::Client::Ident is a POE component that provides non-blocking
Ident lookup services to other components and sessions. The Ident protocol
is described in RFC 1413

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/*
%_mandir/*/*

%changelog
* Wed Sep 07 2005 Olivier Thauvin <nanardon@mandriva.org> 0.7-1mdk
- First mandriva package
